Package com.smartgwt.client.types

# Enum LabelCollapseMode

java.lang.Object
java.lang.Enum<LabelCollapseMode>
com.smartgwt.client.types.LabelCollapseMode

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<LabelCollapseMode>`, `Constable`

public enum LabelCollapseMode extends Enum<LabelCollapseMode> implements ValueEnum
Strategy to apply when there is too little room for labels to be shown for all data points with comfortable padding (`FacetChart.minLabelGap`).

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NONE`
  Show all labels regardless, even though they will overlap
  `NUMERIC`
  Pick round numbers in the range and show labels for just those numbers.
  `SAMPLE`
  Pick periodic values from the dataset and show labels for those.
  `TIME`
  Show significant time values such as the first day of the month or week.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static LabelCollapseMode`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static LabelCollapseMode[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NONE

    public static final LabelCollapseMode NONE
    Show all labels regardless, even though they will overlap

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "none".

  - ### TIME

    public static final LabelCollapseMode TIME
    Show significant time values such as the first day of the month or week. Data values in Records must be true Date objects, not Strings.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "time".

  - ### NUMERIC

    public static final LabelCollapseMode NUMERIC
    Pick round numbers in the range and show labels for just those numbers. Best for continuous datasets that are not time-based

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "numeric".

  - ### SAMPLE

    public static final LabelCollapseMode SAMPLE
    Pick periodic values from the dataset and show labels for those. Best when the there are no particular points that would clearly be the best to label

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "sample".

- ## Method Details

  - ### values

    public static LabelCollapseMode[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static LabelCollapseMode valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`